<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface BulkGenerateRequestsInterface
{

    public const BULK_GENERATE_REQUESTS_ID = 'id';

    public const USER = 'user';

    public const REQUEST_ID = 'request_id';

    /**
     * Get bulk_generate_requests_id
     *
     * @return string|null
     */
    public function getBulkGenerateRequestsId();

    /**
     * Set bulk_generate_requests_id
     *
     * @param string $bulkGenerateRequestsId
     * @return \WriteTextAI\WriteTextAI\BulkGenerateRequests\Api\Data\BulkGenerateRequestsInterface
     */
    public function setBulkGenerateRequestsId($bulkGenerateRequestsId);

    /**
     * Get user
     *
     * @return string|null
     */
    public function getUser();

    /**
     * Set user
     *
     * @param string $user
     * @return \WriteTextAI\WriteTextAI\BulkGenerateRequests\Api\Data\BulkGenerateRequestsInterface
     */
    public function setUser($user);

    /**
     * Get request_id
     *
     * @return string|null
     */
    public function getRequestId();

    /**
     * Set request_id
     *
     * @param string $requestId
     * @return \WriteTextAI\WriteTextAI\BulkGenerateRequests\Api\Data\BulkGenerateRequestsInterface
     */
    public function setRequestId($requestId);
}
