<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface UserProductsInterface
{
    public const USER_ID = 'user_id';

    public const USER_PRODUCTS_ID = 'id';

    public const PRODUCT_ID = 'product_id';

    public const IMAGES_SELECTED = 'images_selected';

    /**
     * Get user_products_id
     *
     * @return string|null
     */
    public function getUserProductsId();

    /**
     * Set user_products_id
     *
     * @param string $userProductsId
     * @return \WriteTextAI\WriteTextAI\UserProducts\Api\Data\UserProductsInterface
     */
    public function setUserProductsId($userProductsId);

    /**
     * Get user_id
     *
     * @return string|null
     */
    public function getUserId();

    /**
     * Set user_id
     *
     * @param string $userId
     * @return \WriteTextAI\WriteTextAI\UserProducts\Api\Data\UserProductsInterface
     */
    public function setUserId($userId);

    /**
     * Get product_id
     *
     * @return string|null
     */
    public function getProductId();

    /**
     * Set product_id
     *
     * @param string $productId
     * @return \WriteTextAI\WriteTextAI\UserProducts\Api\Data\UserProductsInterface
     */
    public function setProductId($productId);

    /**
     * Get images_selected
     *
     * @return string|null
     */
    public function getImagesSelected();

    /**
     * Set images_selected
     *
     * @param string $imagesSelected
     * @return \WriteTextAI\WriteTextAI\UserProducts\Api\Data\UserProductsInterface
     */
    public function setImagesSelected($imagesSelected);
}
