<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api;

use Magento\Framework\Api\SearchCriteriaInterface;

interface ProductKeywordIdeasFiltersRepositoryInterface
{
    /**
     * Save ProductKeywordIdeasFilters
     *
     * @param \WriteTextAI\WriteTextAI\Api\Data\ProductKeywordIdeasFiltersInterface $productKeywordIdeasFilters
     * @return \WriteTextAI\WriteTextAI\Api\Data\ProductKeywordIdeasFiltersInterface
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function save(
        \WriteTextAI\WriteTextAI\Api\Data\ProductKeywordIdeasFiltersInterface $productKeywordIdeasFilters
    );

    /**
     * Retrieve ProductKeywordIdeasFilters
     *
     * @param string $productkeywordideasfiltersId
     * @return \WriteTextAI\WriteTextAI\Api\Data\ProductKeywordIdeasFiltersInterface
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function get($productkeywordideasfiltersId);

    /**
     * Retrieve ProductKeywordIdeasFilters matching the specified criteria.
     *
     * @param \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
     * @return \WriteTextAI\WriteTextAI\Api\Data\ProductKeywordIdeasFiltersSearchResultsInterface
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getList(
        \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
    );

    /**
     * Delete ProductKeywordIdeasFilters
     *
     * @param \WriteTextAI\WriteTextAI\Api\Data\ProductKeywordIdeasFiltersInterface $productKeywordIdeasFilters
     * @return bool true on success
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function delete(
        \WriteTextAI\WriteTextAI\Api\Data\ProductKeywordIdeasFiltersInterface $productKeywordIdeasFilters
    );

    /**
     * Delete ProductKeywordIdeasFilters by ID
     *
     * @param string $productkeywordideasfiltersId
     * @return bool true on success
     * @throws \Magento\Framework\Exception\NoSuchEntityException
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function deleteById($productkeywordideasfiltersId);
}
