<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api;

use Magento\Framework\Api\SearchCriteriaInterface;

interface UserProductsRepositoryInterface
{
    /**
     * Save User_products
     *
     * @param \WriteTextAI\WriteTextAI\Api\Data\UserProductsInterface $userProducts
     * @return \WriteTextAI\WriteTextAI\Api\Data\UserProductsInterface
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function save(
        \WriteTextAI\WriteTextAI\Api\Data\UserProductsInterface $userProducts
    );

    /**
     * Retrieve User_products
     *
     * @param string $userProductsId
     * @return \WriteTextAI\WriteTextAI\Api\Data\UserProductsInterface
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function get($userProductsId);

    /**
     * Retrieve User_products matching the specified criteria.
     *
     * @param \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
     * @return \WriteTextAI\WriteTextAI\Api\Data\UserProductsSearchResultsInterface
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getList(
        \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
    );

    /**
     * Delete User_products
     *
     * @param \WriteTextAI\WriteTextAI\Api\Data\UserProductsInterface $userProducts
     * @return bool true on success
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function delete(
        \WriteTextAI\WriteTextAI\Api\Data\UserProductsInterface $userProducts
    );

    /**
     * Delete User_products by ID
     *
     * @param string $userProductsId
     * @return bool true on success
     * @throws \Magento\Framework\Exception\NoSuchEntityException
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function deleteById($userProductsId);
}
