<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

namespace WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Field;

use Magento\Config\Block\System\Config\Form\Field;
use Magento\Framework\Data\Form\Element\AbstractElement;
use Magento\Backend\Block\Template\Context;
use Magento\Framework\View\Helper\SecureHtmlRenderer;
use WriteTextAI\WriteTextAI\ViewModel\Premium;

class ProductAttributePremium extends Field
{
    /**
     * @var Premium
     */
    protected $premium;

    /**
     * @param Context $context
     * @param Premium $premium
     * @param array $data
     * @param SecureHtmlRenderer|null $secureRenderer
     */
    public function __construct(
        Context $context,
        Premium $premium,
        array $data = [],
        ?SecureHtmlRenderer $secureRenderer = null
    ) {
        $this->premium = $premium;
        parent::__construct(
            $context,
            $data,
            $secureRenderer
        );
    }

    /**
     * @inheritdoc
     */
    protected function _getElementHtml(AbstractElement $element)
    {
        $isPremium = $this->premium->isPremium();
        $html = parent::_getElementHtml($element);
        if (!$isPremium) {
            $html = preg_replace('/<option\s+[^>]*?value="thumbnail"\s+[^>]*?>Thumbnail<\/option>/i', '', $html);
        }
        
        return $html;
    }
}
