<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Block;

use Magento\Framework\View\Element\Template\Context;
use Magento\Framework\Encryption\EncryptorInterface;

class Meta extends \Magento\Framework\View\Element\Template
{
    /**
     * @var EncryptorInterface
     */
    protected $encryptor;

    /**
     * Constructor
     *
     * @param Context  $context,
     * @param EncryptorInterface $encryptor
     * @param array $data
     */
    public function __construct(
        Context $context,
        EncryptorInterface $encryptor,
        array $data = []
    ) {
        $this->encryptor = $encryptor;
        parent::__construct($context, $data);
    }

    /**
     * @return string
     */
    public function getContent()
    {
        try {
            // phpcs:ignore Magento2.Functions.DiscouragedFunction
            $domain = parse_url($this->getBaseUrl(), PHP_URL_HOST);
    
            return sha1($domain);
        } catch (\Exception $e) {
            return '';
        }
    }
}
