# Changelog

## Version 1.23.1
- **Date live:** Wed, Apr 24
- **Time live:** 6:00:00 PM

### Added
- Added loader in keyword ideas filter

### Changed
- Changed vendor and module name
- Removed typing animation in product description fields when generating

### Fixes
- Fixed tinymce manual typing issues in version 5
- Fixed bulk action progress bar total count
- Fixed other issues that were found during qa testing
- Fixed coding standards

## Version 1.22.1
- **Date live:** Thu, Apr 04
- **Time live:** 3:00:00 PM

### Added
- N/A

### Changed
- N/A

### Fixes
- Fixed issues that were found during regression testing

## Version 1.21.1
- **Date live:** Wed, Mar 27
- **Time live:** 6:00:00 PM

### Added
- Footer in single edit page
- Available credits display in footer
- Meta tag for api verification in frontend pages

### Changed
- Changes in english texts
- Sticky grid footer

### Fixes
- Fixed issues that were found during QA testing of the merged versions 1 and 2.

## Version 1.20.2
- **Date live:** Fri, Mar 08
- **Time live:** 6:00:00 PM

### Added
- Added image alt text in bulk actions

### Changed
- Combine image alt text in text generate api request
- Change image alt text and product thumbnail as premium features
- Limit alt text images to 10
- Updated review extension custom meta
- Upload images by batch

### Fixes
- Fixed issues that were found during QA testing of version 2

## Version 1.20.1
- **Date live:** Tue, Feb 14
- **Time live:** 12:30:00 PM

### Added
- Added image alt text
- Added thumbnail in product attributes
- Added review status
- Added dismiss in notifications

### Changed
- Removed translations
- Changed grid settings icon

### Fixes
- None

## Version 1.6.1
- **Date live:** Thu, Feb 29
- **Time live:** 2:00:00 PM

### Added
- Added changes to align the behavior with other WriteText.ai plugin.

### Changed
- Modified some aspects to better align with other WriteText.ai plugin.

### Fixes
- Fixed issues that were found during QA testing of version 1

## Version 1.5.1
- **Date live:** Tue, Jan 30
- **Time live:** 5:45:00 PM

### Added
- Premium and free features
- Ad display for non premium users
- Single transfer in grid
- View and edit actions in grid
- Save preferences when saving
- Active/Inactive menu icon
- Save product attributes preference per product
- Save user preferences onclick

### Changed
- Include attributes section in collapse/expand all
- Character count color when exceeding limit
- Open FAQ link in a new tab from the tooltip
- Disable save if there are no changes yet on the single edit page
- Removal of attribute limit and use of the limit in API request
- Apply disable transfer, when nothing or already transferred, in transfer all
- Enable transfer when edited
- Product name should not consume 1 count of target keyword
- Duplicate keyword should not be allowed
- Sort reference products alphabetically
- Show selected reference product count not the reference product used in generating
- Use available keywords in bulk generating
- Use selected attributes when bulk generating
- Delete all user web tokens when changing writetext account
- Remove selected fields as basis in enabling save button
- Update text displayed on progress bar just like on wordpress
- Remove product name limit
- Text change in history log
- Credits computation: char count vs target length instead of char count vs word count
- Remove store scope in global settings
- Move custom open graph in data mapping, add default value

### Fixes
- Able to select future dates in history log
- Signalr unauthorized error
- Signalr disconnected when the tab is idle
- Single edit page textfields' label and status
- Initial display on load in single edit page
- Min and max target length can't be the same
- Saving with empty fields
- UI issue while scrolling on the single edit page
- Can't scroll to the bottom of the page after bulk generation
- Display estimated time when bulk generating a single product
- Show estimated time remaining in seconds
- Filter by no activity minimum days and tooltip
- Dynamic tooltip in tones, styles, audience, and reference product when rewrite is selected
- Disable rewrite if the reference product is checked
- Short description tooltip paragraph spacing
- Transfer tooltip text
- Incorrect mouse pointer in disabled text field
- Textfield's generated and transferred status
- Disable transfer button if already transferred
- Show error message for no generated text yet when checking "mark as reviewed"
- UI improvement for keywords tooltip
- Apply disallowed combinations on the settings page
- Keyword highlight alignment
- Fixed menu tab logo size
- Incorrect word count of empty fields
- History log broken images
- Cancelled bulk request proceeds to complete
- Highlight alignment when rewriting with table and image
- Custom tone and style not saving
- Apply validation of data mapping in settings page
- Select all was not ticked by default when all options was selected in global settings
- Country selector responsiveness
- Default country in keyword analysis
- Fixed error in suggested audience when no text generated yet
- Data mapping: unselected option is disabled
- Highlight not showing in open graph
- Error message for unsupported language
- Able to edit country without permission
- User was able to check and uncheck reference product checkbox even if it is disabled
- Credits cost does not update when max word target was modified via increment
- History logs on was being overwritten
- WTA status filter not working on free account
- Issue on semantics when long keywords were added
- Wizard still accessible even if the update is required
- Message for required and not required update was displayed at the same time
- Error when required update is available
- Not all settings were restored when restore settings was used
- Incorrect word count (image only)
- Img tag was being counted in credit computation
- Class was not sanitized
- Code standard and optimization

## Version 1.4.4
- **Date live:** Fri, Dec 22
- **Time live:** 4:30:00 PM

### Added
- Added restore global settings link
- Added hidden config for max length of meta description and open graph

### Changed
- Convert newlines to break tag when transferring text
- Updated incompatible texts and it's translations
- Revert console command for importing locations
- Updated composer dependencies
- Updated some text in setup wizard
- Added redirect to login if site is deleted in backend
- Removed translatable for hidden configurations and update translations

### Fixes
- Fixed filter not working if all writetext status is selected automatically
- Fixed missing line breaks in comparison popup
- Fixed highlight not aligned when using ul/ol
- Fixed single editor store switcher preload height
- Fixed code duplications
- Fixed converting newlines in comparison popup when text is empty
- Refactored code for api requests
- Fixed broken ui of no text generated tooltip in wysiwyg writetext fields
- Fixed single generate message showing for other users
- Fixed duplicate api requests in a process
- Fixed sql missing column error in products grid
- Fixed ajax controllers not found when secret key in url is enabled 
- Fixed conflict with other writetext module config tab icon
- Fixed primary button color conflict
- Code fixes for api response handling
- Code fixes for json data escaping

## Version 1.4.3
- **Date live:** Fri, Dec 15
- **Time live:** 4:30:00 PM

### Added
- Texts and translations updates
- Additional tooltip text in reference product and rewrite button

### Changed
- Changed words to word/s
- Removed script and style tags content in rewrite and reference text
- Removed not allowed html attributes in rewrite and reference text
- Removed not allowed styles in rewrite and reference text
- Character and word count in credit cost should include html tags
- Character and word count in single edit should not include html tags
- Sticky single editor error message
- Changed minutes to minute/s and other plural/singular versions text changes
- Sticky single edit header
- Removed html tags in product attributes sent to api
- Removed html tags in other product details sent to api
- Removed disabled in target length when reference product is selected
- Disabled mark as review checkbox if all field is transferred
- Uncheck mark as review checkbox if atleast one field is not yet reviewed
- Update mark as review checkbox status after transferring and generating
- Set all fields as reviewed when checking mark as review checkbox manually

### Fixes
- Fixed label inconsistency in generate/rewrite radio and tooltip
- Fixed disabled writetext field's tooltip for wysiwyg fields
- Fixed newlines in single edit's transfer and display
- Fixed API error handling
- Some code optimization

## Version 1.4.2
- **Date live:** Thu, Dec 07
- **Time live:** 5:30:00 PM

### Added
- Added country selector pre-selected options
- Additional translations
- Added error message if no field is transferred
- Additional text in single generate success message

### Changed
- Texts and translations changes
- Changed single generate success message if one or more field has error
- Updated error message if all fields have error
- Updated login API url
- Removed new tab icon in setup wizard step 1
- Disabled target length when reference product is checked in bulk generate
- Disabled editing in writetext field if not yet generated
- Mark as review: do not call reviewed if last status of the field is transferred
- Do not disable tone, style and audience when rewriting
- Moved position of hide step guides checkbox
- Bulk request: disabled cancel if 2 or less product is remaining or if request id is not yet available

### Fixes
- Fixed conflict in single editor: clicking tooltip content opens/close the collapsible
- Signalr: reconnect if disconnected when switching back to tab
- Fixed error handling in API response
- Fixed single transfer tooltip ui
- Fixed menu icon size
- Fixed highlight text where newlines are removed

## Version 1.4.1
- **Date live:** Fri, Nov 24
- **Time live:** 4:30:00 PM

### Added
- Single editor guide steps
- Show/Hide step guides checkbox
- Single field transfer
- Generate and transfer status in writetext fields
- Display reference texts in writetext description and excerpt
- Stores' country selector

### Changed
- Single editor ui/ux changes
- Changed footer to sticky
- Help texts and translations updates
- Added generationTier in credits computation 
- Removed settings for hide bulk generate popup
- Changes in collapsible state when switching product and reopening modal

### Fixes
- Fixed step 6 ui responsiveness
- Fixed single generate if no tone is selected when using reference product

## Version 1.3.1
- **Date live:** Mon, Nov 13
- **Time live:** 11:30:00 AM

### Added
- Default target length values
- Roles and permissions
- Composer dependencies
- CA, ES, FR, IT, NO, NL, PT, SV Translations
- Single generate settings reset to global
- Save attributes selected and other details, per product
- Save selected audience, per user
- Maximum days validation in filter by no activity

### Changed
- Removed customization in config tabs and used frontend model to show/hide settings content
- Changed preview page url parameter
- Changes in composer.json
- Do not hide stock, price and weight attributes
- Bulk generate: multiply credits to number of selected products
- Expand keywords section by default, include in collapse/expand all
- Progress bar label changes
- Removed footer links
- Filter by no activity label

### Fixes
- Ensure numeric target length
- Scrollable comparison popup
- Added min and max in datepicker
- Fixed ui of attribute section in single editor
- Fixed preload width of filter by no activity
- Fixed platform text html rendering in single editor
- Fixed platform Excerpt/Open Graph text is not showing in grid
- Centered text in grid
- Added count in max attribute validation message
- Fixed filter by not generated
- Fixed rewriting empty fields
- Added loading mask in single editor if the product is in bulk generating
- Fixed hidden comparison popup for products at the bottom of grid
- Fixed texfields height in single editor when resizing window
- Fixed saving of tones and style, per user
- Minor ui fixes due to long text translations
- Code fixes and improvements

## Version 1.2.1
- **Date live:** Mon, Oct 23
- **Time live:** 5:30:00 PM

### Added
- Footer links and copyright
- Added Italian (IT) and Catalan (CA) in Supported Languages

### Changed
- Semantic keywords color

### Fixes
- Bulk generate reference products json escape
- Undefined array indexes
- Coding standards

## Version 1.1.1
- **Date live:** Mon, Oct 16
- **Time live:** 3:30:00 PM

### Added
- Disallow combinations of tone, style, and audience
- Highlight potentially incorrect pronouns
- Danish and German translations
- Plugin version handling

### Changed
- Save generated date to the database and change the basis of "filter by no activity" from history logs API to database data
- Hide preview if product is not visible in the frontend

### Fixes
- History logs store ID filter when changing grid store filter and on closing a single editor
- Translatable texts

## Version 1.0.1
- **Date live:** Mon, Oct 09
- **Time live:** 1:00:00 PM

### Initial Release
