<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Model;

use Magento\Framework\Model\AbstractModel;
use WriteTextAI\WriteTextAI\Api\Data\BulkTransferRequestsInterface;

class BulkTransferRequests extends AbstractModel implements BulkTransferRequestsInterface
{
    /**
     * @inheritDoc
     */
    public function _construct()
    {
        $this->_init(\WriteTextAI\WriteTextAI\Model\ResourceModel\BulkTransferRequests::class);
    }

    /**
     * @inheritDoc
     */
    public function getBulkTransferRequestsId()
    {
        return $this->getData(self::BULK_TRANSFER_REQUESTS_ID);
    }

    /**
     * @inheritDoc
     */
    public function setBulkTransferRequestsId($bulkTransferRequestsId)
    {
        return $this->setData(self::BULK_TRANSFER_REQUESTS_ID, $bulkTransferRequestsId);
    }

    /**
     * @inheritDoc
     */
    public function getUser()
    {
        return $this->getData(self::USER);
    }

    /**
     * @inheritDoc
     */
    public function setUser($user)
    {
        return $this->setData(self::USER, $user);
    }

    /**
     * @inheritDoc
     */
    public function getQueueIds()
    {
        return $this->getData(self::QUEUE_IDS);
    }

    /**
     * @inheritDoc
     */
    public function setQueueIds($queueIds)
    {
        return $this->setData(self::QUEUE_IDS, $queueIds);
    }

    /**
     * @inheritDoc
     */
    public function getCompletedIds()
    {
        return $this->getData(self::COMPLETED_IDS);
    }

    /**
     * @inheritDoc
     */
    public function setCompletedIds($completedIds)
    {
        return $this->setData(self::COMPLETED_IDS, $completedIds);
    }

    /**
     * @inheritDoc
     */
    public function getStoresSelected()
    {
        return $this->getData(self::STORES_SELECTED);
    }

    /**
     * @inheritDoc
     */
    public function setStoresSelected($storesSelected)
    {
        return $this->setData(self::STORES_SELECTED, $storesSelected);
    }

    /**
     * @inheritDoc
     */
    public function getStoreFilter()
    {
        return $this->getData(self::STORE_FILTER);
    }

    /**
     * @inheritDoc
     */
    public function setStoreFilter($storeFilter)
    {
        return $this->setData(self::STORE_FILTER, $storeFilter);
    }

    /**
     * @inheritDoc
     */
    public function getFieldsSelected()
    {
        return $this->getData(self::FIELDS_SELECTED);
    }

    /**
     * @inheritDoc
     */
    public function setFieldsSelected($fieldsSelected)
    {
        return $this->setData(self::FIELDS_SELECTED, $fieldsSelected);
    }
}
