<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

namespace WriteTextAI\WriteTextAI\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;
use WriteTextAI\WriteTextAI\ViewModel\Locations;

class Countries implements OptionSourceInterface
{
    /**
     * @var Locations
     */
    protected $locations;

    /**
     * Constructor
     *
     * @param Locations $locations
     */
    public function __construct(Locations $locations)
    {
        $this->locations = $locations;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $locations = $this->locations->getAvailableCountries();
        
        $options = [];
        
        foreach ($locations as $location) {
            $options[] = [
                'value' => $location['country_iso_code'],
                'label' => $location['location_name']
            ];
        }
        
        return $options;
    }
}
