<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

namespace WriteTextAI\WriteTextAI\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;
use WriteTextAI\WriteTextAI\Model\SettingManager;

class Tones implements OptionSourceInterface
{
    /**
     * @var SettingManager
     */
    protected $settingManager;

    /**
     * Constructor
     *
     * @param SettingManager $settingManager
     */
    public function __construct(SettingManager $settingManager)
    {
        $this->settingManager = $settingManager;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $tones = $this->settingManager->getSettings('tones');
        
        $options = [];
        
        foreach ($tones as $tone) {
            $options[] = [
                'value' => $tone['id'],
                'label' => $tone['name']
            ];
        }
        
        return $options;
    }
}
