<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Model;

use Magento\Framework\Model\AbstractModel;
use WriteTextAI\WriteTextAI\Api\Data\ProductKeywordIdeasFiltersInterface;

class ProductKeywordIdeasFilters extends AbstractModel implements ProductKeywordIdeasFiltersInterface
{
    /**
     * @inheritDoc
     */
    public function _construct()
    {
        $this->_init(\WriteTextAI\WriteTextAI\Model\ResourceModel\ProductKeywordIdeasFilters::class);
    }

    /**
     * @inheritDoc
     */
    public function getProductkeywordideasfiltersId()
    {
        return $this->getData(self::PRODUCTKEYWORDIDEASFILTERS_ID);
    }

    /**
     * @inheritDoc
     */
    public function setProductkeywordideasfiltersId($productkeywordideasfiltersId)
    {
        return $this->setData(self::PRODUCTKEYWORDIDEASFILTERS_ID, $productkeywordideasfiltersId);
    }

    /**
     * @inheritDoc
     */
    public function getProductId()
    {
        return $this->getData(self::PRODUCT_ID);
    }

    /**
     * @inheritDoc
     */
    public function setProductId($productId)
    {
        return $this->setData(self::PRODUCT_ID, $productId);
    }

    /**
     * @inheritDoc
     */
    public function getStoreId()
    {
        return $this->getData(self::STORE_ID);
    }

    /**
     * @inheritDoc
     */
    public function setStoreId($storeId)
    {
        return $this->setData(self::STORE_ID, $storeId);
    }

    /**
     * @inheritDoc
     */
    public function getLocation()
    {
        return $this->getData(self::LOCATION);
    }

    /**
     * @inheritDoc
     */
    public function setLocation($location)
    {
        return $this->setData(self::LOCATION, $location);
    }

    /**
     * @inheritDoc
     */
    public function getCompetition()
    {
        return $this->getData(self::COMPETITION);
    }

    /**
     * @inheritDoc
     */
    public function setCompetition($competition)
    {
        return $this->setData(self::COMPETITION, $competition);
    }

    /**
     * @inheritDoc
     */
    public function getSearchVolumeMinimum()
    {
        return $this->getData(self::SEARCH_VOLUME_MINIMUM);
    }

    /**
     * @inheritDoc
     */
    public function setSearchVolumeMinimum($searchVolumeMinimum)
    {
        return $this->setData(self::SEARCH_VOLUME_MINIMUM, $searchVolumeMinimum);
    }

    /**
     * @inheritDoc
     */
    public function getSearchVolumeMaximum()
    {
        return $this->getData(self::SEARCH_VOLUME_MAXIMUM);
    }

    /**
     * @inheritDoc
     */
    public function setSearchVolumeMaximum($searchVolumeMaximum)
    {
        return $this->setData(self::SEARCH_VOLUME_MAXIMUM, $searchVolumeMaximum);
    }

    /**
     * @inheritDoc
     */
    public function getCompetitionSort()
    {
        return $this->getData(self::COMPETITION_SORT);
    }

    /**
     * @inheritDoc
     */
    public function setCompetitionSort($competitionSort)
    {
        return $this->setData(self::COMPETITION_SORT, $competitionSort);
    }

    /**
     * @inheritDoc
     */
    public function getVolumeSort()
    {
        return $this->getData(self::VOLUME_SORT);
    }

    /**
     * @inheritDoc
     */
    public function setVolumeSort($volumeSort)
    {
        return $this->setData(self::VOLUME_SORT, $volumeSort);
    }
}
