<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Model;

use Magento\Framework\Model\AbstractModel;
use WriteTextAI\WriteTextAI\Api\Data\UserProductsInterface;

class UserProducts extends AbstractModel implements UserProductsInterface
{

    /**
     * @inheritDoc
     */
    public function _construct()
    {
        $this->_init(\WriteTextAI\WriteTextAI\Model\ResourceModel\UserProducts::class);
    }

    /**
     * @inheritDoc
     */
    public function getUserProductsId()
    {
        return $this->getData(self::USER_PRODUCTS_ID);
    }

    /**
     * @inheritDoc
     */
    public function setUserProductsId($userProductsId)
    {
        return $this->setData(self::USER_PRODUCTS_ID, $userProductsId);
    }

    /**
     * @inheritDoc
     */
    public function getUserId()
    {
        return $this->getData(self::USER_ID);
    }

    /**
     * @inheritDoc
     */
    public function setUserId($userId)
    {
        return $this->setData(self::USER_ID, $userId);
    }

    /**
     * @inheritDoc
     */
    public function getProductId()
    {
        return $this->getData(self::PRODUCT_ID);
    }

    /**
     * @inheritDoc
     */
    public function setProductId($productId)
    {
        return $this->setData(self::PRODUCT_ID, $productId);
    }

    /**
     * @inheritDoc
     */
    public function getImagesSelected()
    {
        return $this->getData(self::IMAGES_SELECTED);
    }

    /**
     * @inheritDoc
     */
    public function setImagesSelected($imagesSelected)
    {
        return $this->setData(self::IMAGES_SELECTED, $imagesSelected);
    }
}
