/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define([
    'jquery',
    'ko',
    'uiComponent',
    'WriteTextAI_WriteTextAI/js/utils/credits',
    'mage/translate'
], function ($, ko, Component, creditUtils, $t) {
    'use strict';

    return Component.extend({
        /** @inheritdoc */
        initialize: function () {
            this._super();

            $('#writetext-generate-button > *').applyBindings(this);
        },

        /** @inheritdoc */
        initObservable: function () {
            this._super();

            this.generateCredits = ko.computed(function () {
                var total = creditUtils.getCredits({
                    additionalReferenceTextLength: this.additionalReferenceTextLength,
                    maxOutputWords: this.maxOutputWords,
                    maxReferenceTextLength: this.maxReferenceTextLength,
                    maxImageAltTextPerRequest: this.maxImageAltTextPerRequest
                    }, false, true, this.credits),
                    creditsString = `(${total} ${
                        total > 1 ? $t('credits') : $t('credit')
                    })`;

                return creditsString;
            }, this);

            return this;
        },
    });
});
