/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['Magento_Ui/js/grid/provider'], function (Provider) {
    'use strict';

    return Provider.extend({
        defaults: {
            isLoading: false
        },

        /**
         * @inheritdoc
         */
        reload: function (options) {
            var custom,
                showLoader,
                debounce,
                request;

            options = options || {};

            custom =
                typeof options.custom !== 'undefined'
                    ? options.custom
                    : false;
            showLoader =
                typeof options.showLoader !== 'undefined'
                    ? options.showLoader
                    : true;
            debounce =
                typeof options.debounce !== 'undefined'
                    ? options.debounce
                    : false;

            if (debounce && this.isLoading) {
                return;
            }

            this.isLoading = true;

            request = this.storage().getData(this.params, options);

            if (custom) {
                if (showLoader) {
                    this.trigger('reload');
                }
            } else {
                this.trigger('reload');
            }

            request.done(this.onReload).fail(this.onError.bind(this));

            return request;
        },

        /**
         * @inheritdoc
         */
        onReload: function (data) {
            this._super(data);

            this.isLoading = false;
        }
    });
});
