/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define([
    'jquery',
    'ko',
    'uiComponent',
    'mage/translate',
    'WriteTextAI_WriteTextAI/js/model/total-credits',
], function ($, ko, Component, $t, totalCredits) {
    'use strict';

    return Component.extend({
        defaults: {
            'totalCredits': 0
        },

        /** @inheritdoc */
        initialize: function () {
            this._super();

            self = this;
            
            totalCredits.totalCredits.subscribe(function (credits) {
                self.totalCredits(credits);
            });

        },

        /** @inheritdoc */
        initObservable: function () {
            this._super()
                .observe([
                    'totalCredits'
                ]);

            this.getTotalCreditsText = ko.computed(function () {
                if (this.totalCredits() == 1) {
                    return $t('%s credit available').replace('%s', this.totalCredits());
                }
                return $t('%s credits available').replace('%s', this.totalCredits());
            }, this);

            return this;
        }
    });
});
