/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define([
    'jquery',
], function ($) {
    'use strict';

    /**
     * Convert form data to JSON
     *
     * @param {Object} form
     * @returns {Object}
     */
    function convertForm(form)
    {
        var data = {},
            j;

        $.map(form.serializeArray(), function (n) {
            const keys = n.name.match(/[a-zA-Z0-9_]+|(?=\[\])/g);

            if (keys.length > 1) {
                let tmp = data,
                    pop = keys.pop();

                for (let i = 0; i < keys.length, j = keys[i]; i++) {
                    tmp[j] = !tmp[j] ? pop === '' ? [] : {} : tmp[j],
                        tmp = tmp[j];
                }

                if (pop === '') {
                    tmp = !Array.isArray(tmp) ? [] : tmp, tmp.push(n.value);
                } else {
                    tmp[pop] = n.value;
                }
            } else {
                data[keys.pop()] = n.value;
            }
        });

        return data;
    }

    return {
        convertForm: convertForm
    };
});
